-------------------------------------------------------------------------------
--  Arguments : corps de procédure
--
--  Auteur : un enseignant du projet GL
--  Affiliation : Grenoble INP (Ensimag)
--
--  Historique :
--     01/01/2010
--        - version initiale
-------------------------------------------------------------------------------

--|  Exemple de récupération d'arguments de commande

--|  Ce programme se contente d'afficher ses arguments

--| Dans Ada.Command_Line :
--|    . Argument_Count retourne le nombre d'arguments
--|      N.B. le nom de la commande n'est pas un argument,
--|      on y accède par la fonction Command_Name.
--|    . Argument (N) retourne le n-ième argument, de type String
--|      (lève l'exception Constraint_Error s'il n'existe pas)
--|      N.B. Les arguments sont numerotés à partir de 1.

with Ada.Command_Line, Ada.Text_IO, Ada.Integer_Text_IO;
use  Ada.Command_Line, Ada.Text_IO, Ada.Integer_Text_IO;

procedure Arguments is
begin

   Put_Line ("Nom de la commande : " & Command_Name);

   Put ("Il y a ");
   Put (Argument_Count, 1);
   Put_Line (" arguments");

   for I in 1 .. Argument_Count loop
      Put (I, 3);
      Put (" : ");
      Put_Line (Argument (I));
   end loop;

end Arguments;
